# Copyright (c) 2022, JINGROW
# For license information, please see license.txt


from jingrow.core.report.database_storage_usage_by_tables.database_storage_usage_by_tables import (
	execute,
)
from jingrow.tests.utils import JingrowTestCase


class TestDBUsageReport(JingrowTestCase):
	def test_basic_query(self):
		_, data = execute()
		tables = [d.table for d in data]
		self.assertFalse({"tabUser", "tabPageField"}.difference(tables))
